DCMTK: dcmtk::log4cplus::helpers::Properties Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dcmtk::log4cplus::helpers::Properties Class Reference

## Public Member Functions
bool | exists (const log4cplus::tstring &key) const
| Tests to see if `key` can be found in this map.
size_t | size () const
| Returns the number of entries in this map.
log4cplus::tstring const & | getProperty (const log4cplus::tstring &key) const
| Searches for the property with the specified key in this property list.
log4cplus::tstring | getProperty (const log4cplus::tstring &key, const log4cplus::tstring &defaultVal) const
| Searches for the property with the specified key in this property list.
OFVector< log4cplus::tstring > | propertyNames () const
| Returns all the keys in this property list.
void | setProperty (const log4cplus::tstring &key, const log4cplus::tstring &value)
| Inserts `value` into this map indexed by `key`.
bool | removeProperty (const log4cplus::tstring &key)
| Removed the property index by `key` from this map.
Properties | getPropertySubset (const log4cplus::tstring &prefix) const
| Returns a subset of the "properties" whose keys start with "prefix".

## Member Function Documentation

## ◆ getProperty() [1/2]

log4cplus::tstring const & dcmtk::log4cplus::helpers::Properties::getProperty | ( | const log4cplus::tstring & | key | ) | const

Searches for the property with the specified key in this property list.

If the key is not found in this property list, the default property list, and its defaults, recursively, are then checked. The method returns `null` if the property is not found.

References getProperty().

Referenced by getProperty().

## ◆ getProperty() [2/2]

log4cplus::tstring dcmtk::log4cplus::helpers::Properties::getProperty | ( | const log4cplus::tstring & | key,
|  | const log4cplus::tstring & | defaultVal ) const

Searches for the property with the specified key in this property list.

If the key is not found in this property list, the default property list, and its defaults, recursively, are then checked. The method returns the default value argument if the property is not found.

## ◆ getPropertySubset()

Properties dcmtk::log4cplus::helpers::Properties::getPropertySubset | ( | const log4cplus::tstring & | prefix | ) | const

Returns a subset of the "properties" whose keys start with "prefix".

The returned "properties" have "prefix" trimmed from their keys.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/helpers/property.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2